#btn-open-nav {
  background: $color-blue;
  border-radius: .5em;
  border: 0;
  cursor: pointer;
  display: inline-block;
  height: 45px;
  margin-left: auto;
  padding: 10px;
  position: relative;
  width: 45px;
  z-index: 20;
  &:focus,
  &:hover {
    outline: none;
  }
  span {
    top: 50%;
    margin-top: -2px;
    transition-duration: 0.1s;
    transition-timing-function: cubic-bezier(0.55, 0.055, 0.675, 0.19);
    &,
    &::before,
    &::after {
      background-color: $color-white;
      display: block;
      height: 3px;
      position: absolute;
      transition-duration: 0.15s;
      transition-property: -webkit-transform;
      transition-property: transform, -webkit-transform;
      transition-property: transform;
      transition-timing-function: ease;
      width: 25px;
    }
    &::after {
      content: "";
      bottom: -8px;
      transition: bottom 0.1s 0.14s ease, transform 0.1s cubic-bezier(0.55, 0.055, 0.675, 0.19);
    }
    &::before {
      content: "";
      top: -8px;
      transition: top 0.1s 0.14s ease, opacity 0.1s ease;

    }
  }
  &.is-active {
    background: $color-red;
    span {
      transform: rotate(45deg);
      transition-delay: 0.14s;
      transition-timing-function: cubic-bezier(0.215, 0.61, 0.355, 1);
      &::before {
        top: 0;
        opacity: 0;
        transition: top 0.1s ease, opacity 0.1s 0.14s ease;
      }
      &::after {
        bottom: 0;
        transform: rotate(-90deg);
        transition: bottom 0.1s ease, transform 0.1s 0.14s cubic-bezier(0.215, 0.61, 0.355, 1);
      }
    }
  }
}
